from django.urls import path

#from . import views
from .views import network, channel, general

app_name = 'rotbot'
urlpatterns = [
    path('', general.index, name='index'),
    path('networks/', network.networks, name='networks'),
    path('network/add', network.add_network, name='add_network'),
    path('network/<str:network_slug>/', network.network, name='network'),
    path('network/<str:network_slug>/edit/', network.edit_network, name='edit_network'),
    path('network/<str:network_slug>/delete/', network.delete_network, name='delete_network'),
    path('channel/<str:channel_slug>/', channel.channel, name='channel'),
    path('channel/<str:channel_slug>/settings/', channel.channel_settings, name='channel_settings'),
    path('channelsettings/<str:temp_key>', channel.ircauth_channel_settings, name='ircauth_channel_settings'),
    path('user/<str:user_slug>/', general.user, name='user'),
    path('curseword/add', general.add_curseword, name='add_curseword'),
]
